|  | Home · All Classes · Modules

# QWebPage.ChooseMultipleFilesExtensionOption Class Reference
[QtWebKit module]

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension. More...

Inherits ExtensionOption.

### Methods

- __init__ (self)
- __init__ (self, ChooseMultipleFilesExtensionOption other)

### Members

- QWebFrame parentFrame
- QStringList suggestedFileNames

## Detailed Description

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension.

The ChooseMultipleFilesExtensionOption class holds the frame originating the request and the suggested filenames which might be provided.

See also QWebPage.chooseFile() and QWebPage.ChooseMultipleFilesExtensionReturn.

## Method Documentation

### ChooseMultipleFilesExtensionOption.__init__ (self)

### ChooseMultipleFilesExtensionOption.__init__ (self, ChooseMultipleFilesExtensionOption other)

## Member Documentation

### QWebFrame parentFrame

### QStringList suggestedFileNames